part of 'expansion_list_bloc.dart';

abstract class ExpansionListEvent {
  const ExpansionListEvent();

  @override
  List<Object> get props => [];
}

class Update extends ExpansionListEvent {
  final int index;
  final NurseryDetail item;
  final List<NurseryDetail> items;
  Update({required this.index, required this.item, required this.items});
}

class AddNew extends ExpansionListEvent {
  final List<NurseryDetail> items;
  AddNew({required this.items});
}

class DeleteItem extends ExpansionListEvent {
  final int index;
  final List<NurseryDetail> items;
  DeleteItem({required this.index, required this.items});
}
